> ## Documentation Index
> Fetch the complete documentation index at: https://docs.daily.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Room Livestreaming Update

> Update a live stream in a room



## OpenAPI

````yaml POST /rooms/{room_name}/live-streaming/update
openapi: 3.0.3
info:
  title: Daily API
  description: |-
    The Daily REST API offers the ability to manage the following: 
    - Overall Domain Configuration
    - Individual Room creation and config management 
    - Meeting token creation and validation
    - Recording and compositing management 
    - Meeting analytics
    - Logs and metrics
    - Real-time presence

    Please reach out to help@daily.co if we can help with anything
  version: 1.1.1
  contact:
    name: Daily
    url: https://docs.daily.co
    email: help@daily.co
servers:
  - url: https://api.daily.co/v1
security:
  - bearerAuth: []
paths:
  /rooms/{room_name}/live-streaming/update:
    post:
      tags:
        - rooms
      summary: rooms/:name/live-streaming/update
      description: Update a live stream in a room
      operationId: RoomLivestreamingUpdate
      parameters:
        - name: room_name
          in: path
          required: true
          style: simple
          explode: false
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DailyLiveStreamingOptions'
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    sent: 'true'
        '400':
          $ref: '#/components/responses/400'
      deprecated: false
      security:
        - bearerAuth: []
components:
  schemas:
    DailyLiveStreamingOptions:
      properties:
        width:
          description: Property that specifies the output width of the given stream.
          type: number
        height:
          description: Property that specifies the output height of the given stream.
          type: number
        fps:
          description: Property that specifies the video frame rate per second.
          type: number
        videoBitrate:
          description: >-
            Property that specifies the video bitrate for the output video in
            kilobits per second (kbps).
          type: number
        audioBitrate:
          description: >-
            Property that specifies the audio bitrate for the output audio in
            kilobits per second (kbps).
          type: number
        minIdleTimeOut:
          description: >-
            Amount of time in seconds to wait before ending a recording or live
            stream when the room is idle (e.g. when all users have muted video
            and audio). Default: 300 (seconds). Note: Once the timeout has been
            reached, it typically takes an additional 1-3 minutes for the
            recording or live stream to be shut down.
          type: number
        maxDuration:
          description: >-
            Maximum duration in seconds after which recording/streaming is
            forcefully stopped. Default: \`15000\` seconds (3 hours). This is a
            preventive circuit breaker to prevent billing surprises in case a
            user starts recording/streaming and leaves the room.
          type: number
        backgroundColor:
          description: >-
            Specifies the background color of the stream, formatted as \#rrggbb
            or \#aarrggbb string.
          type: string
        instanceId:
          type: string
          description: >-
            UUID for a streaming or recording session. Used when multiple
            streaming or recording sessions are running for single room.
        type:
          description: The type of recording that will be started.
          enum:
            - cloud
            - cloud-audio-only
            - raw-tracks
          default: cloud
          type: string
        layout:
          $ref: '#/components/schemas/DailyStreamingLayoutConfig'
          description: >-
            An object specifying the way participants' videos are laid out in
            the live stream. See given layout configs for description of fields.
            Preset must be defined.
        dataOutputs:
          description: >-
            Specifies the types of recording-associated data outputs
            ("event-json", "transcript-webvtt", "chat-webvtt") to start. Value
            must be an array listing the requested data outputs.
          type: array
          items:
            type: string
        rtmpUrl:
          title: DailyLiveStreamingOptions.rtmpUrl
          oneOf:
            - type: string
            - type: array
              items:
                type: string
        endpoints:
          items:
            $ref: '#/components/schemas/DailyStreamingEndpoint'
            title: DailyLiveStreamingOptions.endpoints.[]
          title: DailyLiveStreamingOptions.endpoints
          type: array
      additionalProperties: false
      title: DailyLiveStreamingOptions
      type: object
    DailyStreamingLayoutConfig:
      oneOf:
        - $ref: '#/components/schemas/DailyStreamingDefaultLayoutConfig'
          title: DailyStreamingLayoutConfig
        - $ref: '#/components/schemas/DailyStreamingSingleParticipantLayoutConfig'
          title: DailyStreamingLayoutConfig
        - $ref: '#/components/schemas/DailyStreamingActiveParticipantLayoutConfig'
          title: DailyStreamingLayoutConfig
        - $ref: '#/components/schemas/DailyStreamingPortraitLayoutConfig'
          title: DailyStreamingLayoutConfig
        - $ref: '#/components/schemas/DailyStreamingCustomLayoutConfig'
          title: DailyStreamingLayoutConfig
      discriminator:
        propertyName: preset
      title: DailyStreamingLayoutConfig
    DailyStreamingEndpoint:
      properties:
        endpoint:
          title: DailyStreamingEndpoint.endpoint
          type: string
      required:
        - endpoint
      additionalProperties: false
      title: DailyStreamingEndpoint
      type: object
    DailyStreamingDefaultLayoutConfig:
      properties:
        preset:
          title: Default Layout
          enum:
            - default
          type: string
        max_cam_streams:
          title: DailyStreamingDefaultLayoutConfig.max_cam_streams
          type: number
      required:
        - preset
      additionalProperties: false
      title: DailyStreamingDefaultLayoutConfig
      type: object
    DailyStreamingSingleParticipantLayoutConfig:
      properties:
        preset:
          title: Single Participant Layout
          enum:
            - single-participant
          type: string
        session_id:
          title: DailyStreamingSingleParticipantLayoutConfig.session_id
          type: string
      required:
        - preset
        - session_id
      additionalProperties: false
      title: DailyStreamingSingleParticipantLayoutConfig
      type: object
    DailyStreamingActiveParticipantLayoutConfig:
      properties:
        preset:
          title: Active Participant Layout
          enum:
            - active-participant
          type: string
      required:
        - preset
      additionalProperties: false
      title: DailyStreamingActiveParticipantLayoutConfig
      type: object
    DailyStreamingPortraitLayoutConfig:
      properties:
        preset:
          title: Portrait Layout
          enum:
            - portrait
          type: string
        variant:
          $ref: '#/components/schemas/DailyStreamingPortraitLayoutVariant'
          title: DailyStreamingPortraitLayoutConfig.variant
        max_cam_streams:
          title: DailyStreamingPortraitLayoutConfig.max_cam_streams
          type: number
      required:
        - preset
      additionalProperties: false
      title: DailyStreamingPortraitLayoutConfig
      type: object
    DailyStreamingCustomLayoutConfig:
      properties:
        preset:
          title: Custom Layout
          enum:
            - custom
          type: string
        composition_id:
          title: DailyStreamingCustomLayoutConfig.composition_id
          type: string
        composition_params:
          additionalProperties:
            anyOf:
              - type: boolean
              - type: number
              - type: string
          title: DailyStreamingCustomLayoutConfig.composition_params
          type: object
        session_assets:
          additionalProperties:
            type: string
          title: DailyStreamingCustomLayoutConfig.session_assets
          type: object
      required:
        - preset
        - composition_id
      additionalProperties: false
      title: DailyStreamingCustomLayoutConfig
      type: object
    DailyStreamingPortraitLayoutVariant:
      enum:
        - vertical
        - inset
      title: DailyStreamingPortraitLayoutVariant
      type: string
  responses:
    '400':
      description: '400'
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
              info:
                type: string
          examples:
            Result:
              value:
                error: invalid-request-error
                info: missing required field
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````